Bing SERP API 기본 요청
최소 요청
섹션 제목: “최소 요청”curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=shoes"import requests
params = { "engine": "bing", "api_key": "YOUR_API_KEY", "q": "shoes",}r = requests.get("https://serp.shifter.io/v1", params=params)print(r.json()["organic_results"][:3])import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'bing', api_key: 'YOUR_API_KEY', q: 'shoes',});const data = await (await fetch(url)).json();console.log(data.organic_results.slice(0, 3));현지화된 모바일 검색
섹션 제목: “현지화된 모바일 검색”curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=pizzeria&location=Rome%2C+Italy&cc=IT&setLang=it-IT&device=mobile"params = { "engine": "bing", "api_key": "YOUR_API_KEY", "q": "pizzeria", "location": "Rome, Italy", "cc": "IT", "setLang": "it-IT", "device": "mobile",}r = requests.get("https://serp.shifter.io/v1", params=params)const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'bing', api_key: 'YOUR_API_KEY', q: 'pizzeria', location: 'Rome, Italy', cc: 'IT', setLang: 'it-IT', device: 'mobile',});페이지네이션
섹션 제목: “페이지네이션”Bing은 first(결과 오프셋)와 count(페이지당 결과 수, 기본값 10)로 페이지네이션을 처리합니다.
# Page 1 (results 1-10)curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=news&first=1&count=10"
# Page 2 (results 11-20)curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=news&first=11&count=10"